POST api/NTNonInjury/PostCreateNotificationCPW
Request Information
URI Parameters
None.
Body Parameters
ClinicalPathwayNotificationDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| CaseNo | integer |
None. |
|
| ClinicalPathwayId | integer |
None. |
|
| NotificationTypeId | integer |
None. |
|
| CovidAssessesmentId | integer |
None. |
|
| ClinicalPathwayTypeId | integer |
None. |
|
| ECCCaseTypeId | integer |
None. |
|
| NotificationType | string |
String length: inclusive between 0 and 250 |
|
| KeyName | string |
String length: inclusive between 0 and 250 |
|
| EmailBody | string |
None. |
|
| BodyFormat | string |
String length: inclusive between 0 and 50 |
|
| EmailSubject | string |
String length: inclusive between 0 and 4000 |
|
| EmailTo | string |
String length: inclusive between 0 and 1000 |
|
| EmailToConfig | string |
String length: inclusive between 0 and 4000 |
|
| EmailCC | string |
String length: inclusive between 0 and 1000 |
|
| EmailCCConfig | string |
String length: inclusive between 0 and 4000 |
|
| EmailBCC | string |
String length: inclusive between 0 and 200 |
|
| EmailBCCConfig | string |
String length: inclusive between 0 and 4000 |
|
| EmployeeEmail | string |
String length: inclusive between 0 and 1000 |
|
| SupervisorEmail | string |
String length: inclusive between 0 and 1000 |
|
| SentTime | date |
None. |
|
| Status | integer |
None. |
|
| MessageQueueId | integer |
None. |
|
| CreatedUserName | string |
String length: inclusive between 0 and 61 |
|
| HasAttachment | boolean |
None. |
|
| ClinicalPathwayTypeName | string |
String length: inclusive between 0 and 100 |
|
| OpenDate | date |
None. |
|
| Sequence | integer |
None. |
|
| PrescreeningDiversionId | integer |
None. |
|
| tokenId | string |
String length: inclusive between 0 and 8000 |
|
| EmployeeId | string |
None. |
|
| Title | string |
None. |
|
| IsModifiedReport | boolean |
None. |
|
| ValidFlag | boolean |
None. |
|
| DateCreated | date |
None. |
|
| DateUpdated | date |
None. |
|
| UserIDCreated | integer |
None. |
|
| UserIDUpdated | integer |
None. |
|
| CompanyCode | string |
String length: inclusive between 0 and 10 |
|
| IsExcludeDiscount | boolean |
None. |
Request Formats
application/json, text/json
{
"Id": 1,
"CaseNo": 2,
"ClinicalPathwayId": 1,
"NotificationTypeId": 1,
"CovidAssessesmentId": 1,
"ClinicalPathwayTypeId": 3,
"ECCCaseTypeId": 4,
"NotificationType": "sample string 5",
"KeyName": "sample string 6",
"EmailBody": "sample string 7",
"BodyFormat": "sample string 8",
"EmailSubject": "sample string 9",
"EmailTo": "sample string 10",
"EmailToConfig": "sample string 11",
"EmailCC": "sample string 12",
"EmailCCConfig": "sample string 13",
"EmailBCC": "sample string 14",
"EmailBCCConfig": "sample string 15",
"EmployeeEmail": "sample string 16",
"SupervisorEmail": "sample string 17",
"SentTime": "2026-08-04T14:25:57.9117814-07:00",
"Status": 18,
"MessageQueueId": 19,
"CreatedUserName": "sample string 20",
"HasAttachment": true,
"ClinicalPathwayTypeName": "sample string 22",
"OpenDate": "2026-08-04T14:25:57.9117814-07:00",
"Sequence": 23,
"PrescreeningDiversionId": 1,
"tokenId": "sample string 24",
"EmployeeId": "sample string 25",
"Title": "sample string 26",
"IsModifiedReport": true,
"ValidFlag": true,
"DateCreated": "2026-08-04T14:25:57.9117814-07:00",
"DateUpdated": "2026-08-04T14:25:57.9117814-07:00",
"UserIDCreated": 30,
"UserIDUpdated": 31,
"CompanyCode": "sample string 32",
"IsExcludeDiscount": true
}
application/x-www-form-urlencoded
Sample not available.
Response Information
Resource Description
AsapResponseOfClinicalPathwayNotificationDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | ClinicalPathwayNotificationDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": {
"Id": 1,
"CaseNo": 2,
"ClinicalPathwayId": 1,
"NotificationTypeId": 1,
"CovidAssessesmentId": 1,
"ClinicalPathwayTypeId": 3,
"ECCCaseTypeId": 4,
"NotificationType": "sample string 5",
"KeyName": "sample string 6",
"EmailBody": "sample string 7",
"BodyFormat": "sample string 8",
"EmailSubject": "sample string 9",
"EmailTo": "sample string 10",
"EmailToConfig": "sample string 11",
"EmailCC": "sample string 12",
"EmailCCConfig": "sample string 13",
"EmailBCC": "sample string 14",
"EmailBCCConfig": "sample string 15",
"EmployeeEmail": "sample string 16",
"SupervisorEmail": "sample string 17",
"SentTime": "2026-08-04T14:25:57.9117814-07:00",
"Status": 18,
"MessageQueueId": 19,
"CreatedUserName": "sample string 20",
"HasAttachment": true,
"ClinicalPathwayTypeName": "sample string 22",
"OpenDate": "2026-08-04T14:25:57.9117814-07:00",
"Sequence": 23,
"PrescreeningDiversionId": 1,
"tokenId": "sample string 24",
"EmployeeId": "sample string 25",
"Title": "sample string 26",
"IsModifiedReport": true,
"ValidFlag": true,
"DateCreated": "2026-08-04T14:25:57.9117814-07:00",
"DateUpdated": "2026-08-04T14:25:57.9117814-07:00",
"UserIDCreated": 30,
"UserIDUpdated": 31,
"CompanyCode": "sample string 32",
"IsExcludeDiscount": true
},
"totalCount": 3
}